diff --git a/Dockerfile b/Dockerfile
index 9c419b4442d706b433d6859e3b33e65ae9f56cd5..c96cce0d28969e1c9543a0947858f6922de08b64 100644
--- a/Dockerfile
+++ b/Dockerfile
@@ -142,6 +142,7 @@ RUN set -eux; \
 	apk add --no-cache ca-certificates curl openssl c-ares sudo; \
 # Ruby
 	apk add --no-cache gmp libucontext; \
+	ln -s /opt/ruby-${RUBY_VER}/bin/ruby /usr/local/bin/ruby; \
 # NodeJS
 	apk add --no-cache libuv nghttp2-libs; \
 # Mastodon
diff --git a/usr/local/share/flexible-docker-containers/tests.d/42-mastodon.sh b/usr/local/share/flexible-docker-containers/tests.d/42-mastodon.sh
index 0b7f0b433457ec2f348616f07f7a8a3300d0cc1a..9498d53a19177de12f406a6292f6aaee1ffb955e 100644
--- a/usr/local/share/flexible-docker-containers/tests.d/42-mastodon.sh
+++ b/usr/local/share/flexible-docker-containers/tests.d/42-mastodon.sh
@@ -20,6 +20,16 @@
 # IN THE SOFTWARE.
 
 
+if [ "$MASTODON_MODE" = "web" ]; then
+	fdc_test_start mastodon "Test execution of tootctl"
+	if ! tootctl --help; then
+		fdc_test_fail mastodon "Failed to execute tootctl"
+		false
+	fi
+	fdc_test_pass mastodon "tootctl executed successfully"
+fi
+
+
 fdc_test_start mastodon "Using health check to test Mastodon is up"
 i=120
 while [ "$i" -gt 0 ]; do